qucs (0.0.19-1mx17+1) MX; urgency=medium

  * Final 0.0.19 release.
  * Convert to 3.0 (quilt) source format.
  * Convert rules file to tiny debhelper format.
  * Bump debhelper compat to 9.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 16 Oct 2017 19:38:05 -0700

qucs (0.0.19.qucs-rc1-4) xenial; urgency=medium

  * snapshot

 -- Frans Schreuder <fransschreuder@gmail.com>  Thu, 24 Mar 2016 14:52:27 +0100

qucs (0.0.19.qucs-rc1-3) wily; urgency=medium

  * snapshot

 -- Frans Schreuder <fransschreuder@gmail.com>  Thu, 24 Mar 2016 14:52:22 +0100

qucs (0.0.19.qucs-rc1-2) vivid; urgency=medium

  * snapshot

 -- Frans Schreuder <fransschreuder@gmail.com>  Thu, 24 Mar 2016 14:52:16 +0100

qucs (0.0.19.qucs-rc1-1) trusty; urgency=medium

  * snapshot

 -- Frans Schreuder <fransschreuder@gmail.com>  Thu, 24 Mar 2016 14:52:11 +0100

qucs (0.0.18-2) utopic; urgency=medium

  * Qucs 0.0.18 Release Notes
  * This release brings improvements on many parts of Qucs. The port from Qt3
    to Qt4 is still ongoing and any bugs and usability issues have been fixed
    in the process. A few new features were added and others are in
    development. See below a short summary of the most noticeable enhancements.
 
  * Qucs, Qucsator:
    new: Dynamic compilation and loading of Verilog-A modules (beta feature).
    Addition of a full ADMS/Qucs "turn key" Verilog-A compact device modelling
    system to Qucs. Users are no longer required to manually edit C++ code and
    the build system to be able to run Verilog-A models. Uses ADMS 2.3.4 (only
    a subset of Verilog-A is supported).
    fix: Spice file handling and translator
    new: Addition of BSIM 3 and BSIM 4 models to Qucs MOS models.
    new: Release of the first model (RFresistor) in a new series of RF models
    for Harmonic Balance and other forms of Qucs simulation.
    new: HICUM npn and pnp Level 0 V1.3 Verilog-A devices.
    new: HICUM npn level 2 V2.32 Verilog-A device.

  * Qucs
    new/fix : Ported several classes from Qt3Support to Qt4 (work in progress)
    new: use QSettings to store user preferences and application settings
    new: Copy/duplicate project content files
    new: Export schematic and diagrams to SVG, PNG, JPG, JPEG, PDF, PDF+Latex,
    EPS (Inkscape required)
    new: Component library is not included on the Dock Window
    new: Added checkbox to settings, which allows to load schematics from 
    future versions
    new: Open Recent menu option
    new: Set ADMS, ASCO and Octave paths on the application settings
    new: Use environment variables ADMSXMLBINDIR, ASCOBINDIR, OCTAVEBINDIR to 
    set tools paths
    new: Updated translations: pt-BR, pt-PT, ru
  * Qucsator
    new: Refactoring of Qucsator namespace. Most of the core functions are under the namespace qucs::
    new: Allow to run autotest by adding bugon/assert operator
    new: initial support for unit testing with googletest.
    new: added a Python scripts for parsing Qucs data files
    fix: enable BJT models with (Vtf < 0)
  * QucsFilter, QucsAttenuator, QucsHelp, QucsEdit
    new/fix : Ported several classes from Qt3Support to Qt4 (work in progress)
  * QucsResCodes
    new: QucsResCodes is a program to compute color codes for resistors and resistance values from color codes. The program computes the closest standard resistor value. Users can paste the computed resistor in the schematic.
  * Interfaces
    Improved Qucs/Octave interface for GUI and Qucssator netlist entry (including a start on a Octave library of plotting functions for Qucs post simulation data visualisation)
    First steps in developing a combined Qucs/Python Qucs simulation capability with high quality date visualisation using matplolib. Applications include basic sensitivity analysis and circuit performance optimisation.
    Preliminary version of Qucs/Octave linked transient simulation capability.
  * Build system
    Add ADMS as a Git submodule to the Qucs Git repository
    Added --disable-asco and --disable-adms option to skip the build of included sources
    Added CMake (experimental) for advanced users building from Git repository
    OSX: options to build against 10.5 to 10.9 SDK
  * Included packages
    ASCO 0.4.9 (patched)
    ADMS 2.3.4
  * Miscelaneous
    Project website is now under version control.
    Source code is now under Travis continuous integration service.
    Source code documentation (Doxygen) available on the website.
    Preliminary regression and test suite (qucs-test)
  * Bug fixes
    Hundreds of bug fixes and code improvements.

 -- Frans Schreuder <fransschreuder@gmail.com>  Tue, 02 Sep 2014 16:52:48 +0200

qucs (0.0.18-1) trusty; urgency=medium

  * Qucs 0.0.18 Release Notes
  * This release brings improvements on many parts of Qucs. The port from Qt3 to Qt4 is still ongoing and any bugs and usability issues have been fixed in the process. A few new features were added and others are in development. See below a short summary of the most noticeable enhancements.
  * Qucs, Qucsator
  *     new: Dynamic compilation and loading of Verilog-A modules (beta feature). Addition of a full ADMS/Qucs "turn key" Verilog-A compact device modelling system to Qucs. Users are no longer required to manually edit C++ code and the build system to be able to run Verilog-A models. Uses ADMS 2.3.4 (only a subset of Verilog-A is supported).
  *     fix: Spice file handling and translator
  *     new: Addition of BSIM 3 and BSIM 4 models to Qucs MOS models.
  *     new: Release of the first model (RFresistor) in a new series of RF models for Harmonic Balance and other forms of Qucs simulation.
  *     new: HICUM npn and pnp Level 0 V1.3 Verilog-A devices.
  *     new: HICUM npn level 2 V2.32 Verilog-A device.
  * Qucs
  *     new/fix : Ported several classes from Qt3Support to Qt4 (work in progress)
  *     new: use QSettings to store user preferences and application settings
  *     new: Copy/duplicate project content files
  *     new: Export schematic and diagrams to SVG, PNG, JPG, JPEG, PDF, PDF+Latex, EPS (Inkscape required)
  *     new: Component library is not included on the Dock Window
  *     new: Added checkbox to settings, which allows to load schematics from future versions
  *     new: Open Recent menu option
  *     new: Set ADMS, ASCO and Octave paths on the application settings
  *     new: Use environment variables ADMSXMLBINDIR, ASCOBINDIR, OCTAVEBINDIR to set tools paths
  *     new: Updated translations: pt-BR, pt-PT, ru
  * Qucsator
  *     new: Refactoring of Qucsator namespace. Most of the core functions are under the namespace qucs::
  *     new: Allow to run autotest by adding bugon/assert operator
  *     new: initial support for unit testing with googletest.
  *     new: added a Python scripts for parsing Qucs data files
  *     fix: enable BJT models with (Vtf < 0)
  * QucsFilter, QucsAttenuator, QucsHelp, QucsEdit
  *     new/fix : Ported several classes from Qt3Support to Qt4 (work in progress)
  * QucsResCodes
  *     new: QucsResCodes is a program to compute color codes for resistors and resistance values from color codes. The program computes the closest standard resistor value. Users can paste the computed resistor in the schematic.
  * Interfaces
  *     Improved Qucs/Octave interface for GUI and Qucssator netlist entry (including a start on a Octave library of plotting functions for Qucs post simulation data visualisation)
  *     First steps in developing a combined Qucs/Python Qucs simulation capability with high quality date visualisation using matplolib. Applications include basic sensitivity analysis and circuit performance optimisation.
  *     Preliminary version of Qucs/Octave linked transient simulation capability.
  * Build system
  *     Add ADMS as a Git submodule to the Qucs Git repository
  *     Added --disable-asco and --disable-adms option to skip the build of included sources
  *     Added CMake (experimental) for advanced users building from Git repository
  *     OSX: options to build against 10.5 to 10.9 SDK
  * Included packages
  *     ASCO 0.4.9 (patched)
  *     ADMS 2.3.4
  * Miscelaneous
  *     Project website is now under version control.
  *     Source code is now under Travis continuous integration service.
  *     Source code documentation (Doxygen) available on the website.
  *     Preliminary regression and test suite (qucs-test)
  * Bug fixes
  *     Hundreds of bug fixes and code improvements.

 -- Frans Schreuder <fransschreuder@gmail.com>  Tue, 02 Sep 2014 16:41:26 +0200

qucs (0.0.17-3) raring; urgency=low

  * Fixed hybrid coupler #90
  * Added BSIM3 and BSIM4 nMOS and pMOS models and examples
  * Added examples and qucs-doc pdf files to the menu
  * Added example files
  * Added examples directory
  * Added qucs-doc to the distribution
  * Added asco
  * Added beginnings of m-code transient solver interface.
  * Added impedance to marker in Smith Chart 

 -- Frans Schreuder <fransschreuder@gmail.com>  Sun, 23 Jun 2013 08:16:27 +0200

qucs (0.0.17-2) quantal; urgency=low

  * Fixed hybrid coupler #90
  * Added BSIM3 and BSIM4 nMOS and pMOS models and examples
  * Added examples and qucs-doc pdf files to the menu
  * Added example files
  * Added examples directory
  * Added qucs-doc to the distribution
  * Added asco
  * Added beginnings of m-code transient solver interface.
  * Added impedance to marker in Smith Chart 

 -- Frans Schreuder <fransschreuder@gmail.com>  Sun, 23 Jun 2013 08:14:14 +0200

qucs (0.0.17-1) precise; urgency=low

  * Fixed hybrid coupler #90
  * Added BSIM3 and BSIM4 nMOS and pMOS models and examples
  * Added examples and qucs-doc pdf files to the menu
  * Added example files
  * Added examples directory
  * Added qucs-doc to the distribution
  * Added asco
  * Added beginnings of m-code transient solver interface.
  * Added impedance to marker in Smith Chart 

 -- Frans Schreuder <fransschreuder@gmail.com>  Sun, 23 Jun 2013 08:12:34 +0200

qucs (0.0.16-1) unstable; urgency=low

  * debian/rules: ignore error in clean target. Thanks to Hideki Yamane
   (Closes: #652801) 

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sun, 08 Jan 2012 11:11:03 +0100

qucs (0.0.15-1) unstable; urgency=low

  * New upstream release. (Closes: #526954)
  * Bumped Standards-Version to 3.8.1. No changes needed.  

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sun, 17 May 2009 15:45:34 +0200

qucs (0.0.14-1) unstable; urgency=low

  * New upstream release

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 14 Apr 2008 21:32:12 +0200

qucs (0.0.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop build dep on deprecated QT compat headers. (Closes: #464814)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 02 Apr 2008 22:12:49 +0200

qucs (0.0.13-1) unstable; urgency=low

  * New upstream release (Closes: #437876).
  * debian/control: Use new Homepage field and updated policy version.
  * debian/qucs.desktop: fixed category according to freedesktop standards.
  * contrib/Makefile.*: fixed man page name for ps2sp.pl
  * contrib/ps2sp.1 renamed to contrib/ps2sp.pl.1 and removed whatis entry.

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sun, 30 Dec 2007 18:19:37 +0100

qucs (0.0.12-1) unstable; urgency=low

  * New upstream release
  * debian/control: added freehdl & verilog as recommendations and perl as
    a dependency because of the new features/needs.
  * README.debian updated

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 18 Jun 2007 01:09:10 +0200

qucs (0.0.11-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright and debian/control to change the email of the maintainer

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Tue, 20 Mar 2007 13:12:10 +0200

qucs (0.0.10-1) unstable; urgency=low

  * New upstream release

 -- José L. Redrejo Rodríguez <jredrejo@edu.juntaextremadura.net>  Thu, 14 Sep 2006 9:20:10 +0200

qucs (0.0.9-1) unstable; urgency=low

  * New upstream release (Closes: #357111).
  * debian/control:
   - added upstream url to the long description
  * Bumped Standards-Version to 3.7.2. No changes needed.

 -- José L. Redrejo Rodríguez <jredrejo@edu.juntaextremadura.net>  Sun, 4 Jun 2006 12:00:12 +0200

qucs (0.0.8-1) unstable; urgency=low

  * New upstream release

 -- José L. Redrejo Rodríguez <jredrejo@edu.juntaextremadura.net>  Wed, 15 Feb 2006 9:20:10 +0200

qucs (0.0.7-2) unstable; urgency=low

  * New patch from the upstream release trying to fix again FTBFS on amd64 (Closes: #303863).
  * Added man page for qucslib
  * debian/control.in:
   - increased Standards-Version to 3.6.2 with no changes

 -- José L. Redrejo Rodríguez <jredrejo@edu.juntaextremadura.net>  Sat, 3 Sep 2005 10:16:23 +0200

qucs (0.0.7-1) unstable; urgency=low

  * New upstream release (Closes: #303863).
  * Modified name from Qt Universal... to Quite Universal to comply Trolltech indications.
 
 -- José L. Redrejo Rodríguez <jredrejo@edu.juntaextremadura.net>  Sat, 23 Jul 2005 11:38:18 +0200

qucs (0.0.5-1) unstable; urgency=low

  * Initial Debian release (Closes: #252450).
 
 -- José L. Redrejo Rodríguez <jredrejo@edu.juntaextremadura.net>  Wed, 30 Mar 2005 11:38:18 +0200

